%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: d-feet 
Version: 0.1.4
Release: 2%{?dist}
Summary: A powerful D-Bus Debugger
Group: Development/Tools
License: GPLv2+
URL: http://hosted.fedoraproject.org/projects/d-feet
Source0: http://johnp.fedorapeople.org/%{name}-%{version}.tar.gz
Patch0: d-feet-0.1.4-older_gtk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: pygtk2-devel
BuildRequires: python-setuptools
BuildRequires: gettext
Requires: python-setuptools
Requires: python >= 2.4
Requires: pygtk2

%description
D-Feet is an easy to use D-Bus debugger.

D-Bus is an RPC library used on the Desktop.  D-Feet can be used to inspect
D-Bus objects of running programs and invoke methods on those objects.

%prep
%setup -q
%patch0 -p1 -b .older_gtk

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor=""                 \
  --delete-original                              \
  --dir=%{buildroot}%{_datadir}/applications     \
  %{buildroot}%{_datadir}/applications/dfeet.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/dfeet/
%{_datadir}/icons/hicolor/48x48/apps/dfeet-icon.png
%{_datadir}/applications/dfeet.desktop

%changelog
* Fri Dec 07 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4-2
- patch to make work with older gtk+

* Fri Dec 07 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4-1
- update to upstream 0.1.4 which cleans up some bugs
- remove scrollkeeper BR
- make use description does not exceed 80 characters per line

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.3-1
- update to upstream 0.1.3 which cleans up the .desktop file and
  only install the icon in the hicolor theme

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-3
- pick up %%{python_sitelib}/* instead of %%{python_sitelib}/dfeet/
  in files section so we pick up the python egg stuff

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-2
- clean up spec file

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-1
- update to 0.1.2 which fixes the .desktop file so it validates

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.1-1
- update to 0.1.1 which fixes the .desktop file category 

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1-1
- Initial build.
